## ros-one-microstrain-3dmgx2-imu 1.5.13-0jammy.20251023.0902

=== debian/changelog ===
ros-one-microstrain-3dmgx2-imu (1.5.13-0jammy.20251023.0902) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 23 Oct 2025 09:02:27 +0000

ros-one-microstrain-3dmgx2-imu (1.5.13-0jammy) jammy; urgency=high

  * Merge pull request #11 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/11> from scpeters/fix_melodic_build
    Fix melodic build (backwards compatible alternative to #10 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/10>)
  * from C++11, constexpr specifier is requred for double
  * Contributors: Kei Okada, Tony Baltovski

 -- Chad Rockey <chadrockey@gmail.com>  Tue, 02 Jul 2019 00:00:00 -0000

ros-one-microstrain-3dmgx2-imu (1.5.12-0jammy) jammy; urgency=high

  * Added dependency on log4cxx.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 15 Jan 2014 00:00:00 -0000

ros-one-microstrain-3dmgx2-imu (1.5.10-0jammy) jammy; urgency=high

  * Reduced console spam when shutting down, extended time to wait for ros::isShuttingDown()

 -- Chad Rockey <chadrockey@gmail.com>  Tue, 23 Jul 2013 00:00:00 -0000

ros-one-microstrain-3dmgx2-imu (1.5.9-0jammy) jammy; urgency=high

  * Added depdency on _gencpp for service.

 -- Chad Rockey <chadrockey@gmail.com>  Tue, 16 Apr 2013 14:03:00 -0000

ros-one-microstrain-3dmgx2-imu (1.5.8-0jammy) jammy; urgency=high

  * Forgot srv directory in CMakeLists.txt

 -- Chad Rockey <chadrockey@gmail.com>  Tue, 16 Apr 2013 11:40:00 -0000

ros-one-microstrain-3dmgx2-imu (1.5.7-0jammy) jammy; urgency=high

  * Accidentally copied message_generation instead of message_runtime

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 04 Apr 2013 18:02:00 -0000

ros-one-microstrain-3dmgx2-imu (1.5.6-0jammy) jammy; urgency=high

  * Adding std_msgs to depends.

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 04 Apr 2013 17:17:00 -0000

ros-one-microstrain-3dmgx2-imu (1.5.5-0jammy) jammy; urgency=high

  * Fixed message_generation.  Standardized CMakeLists.txt

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 04 Apr 2013 16:33:00 -0000

ros-one-microstrain-3dmgx2-imu (1.5.4-0jammy) jammy; urgency=high

  * Fixed install targets.
  * Update package.xml

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 03 Apr 2013 00:00:00 -0000

ros-one-microstrain-3dmgx2-imu (1.5.3-0jammy) jammy; urgency=high

  * Added install rule for other files.
  * Added message if log4xx not found
  * Updated version to 1.5.2
  * Catkinized microstrain driver.
  * Updated initTime() to be called before calibrate.
  * Fix for calibration error on some devices.
  * oneiric fix
  * Updated to republish calibration status if a new calibration fails.
  * Ran tf bullet types migration script.
  * applying patch provided by RobZ
  * adding support for the 3DM-GX3 protocol
  * Now opens IMU with NOCTTY to avoid getting signaled if the serial port dies. Moved O_NONBLOCK to the correct position in the open call, could have caused problems when accessed by multiple programs otherwise (one of which wasn't locking).
  * Fixed spacing in quiet mode for IMU get_id utility. #4287 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/4287>
  * Quiet mode for get_id utility. #4287 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/4287>
  * Spelling for IMU get ID function. #4287 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/4287>
  * IMU utility to get device ID. #4287 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/4287>
  * Added Ubuntu platform tags to manifest
  * Fixed linker export in manifest.
  * add option to assume calibrated status on startup, to allow no-calibration
  * make calibration routine check for drift after it finished
  * remove deprecated subscriptions
  * Changed frameid frame_id. Orientation is now from the world frame to the imu frame. A 180 degree rotation around the y axis has been added so that the world frame z vector points up.
  * Tweaked error messages.
  * Marking imu_drivers as doc reviewed.
  * Added 'this is unstable' notices to the doxygen.
  * Took out call to diagnostics update when we are in error. The error broadcasts will take care of publishing the diagnostics in that case.
  * Made a few error messages more useful if you are not connected to an IMU or if there is a communication glitch.
  * Reworked error reporting. Added locking of the port. Made IO non-blocking to avoid race conditions between multiple reading processes. Closes tickets #1442 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/1442> #3188 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/3188> #2342 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/2342> #3356 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/3356> #3508 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/3508> #3507 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/3507>.
  * Switched imu_node.cc back to BSD only as it is less restrictive than LGPL.
  * Updated all licences to LGPL.
  * Updated stack documentation and license.
  * Tweaked doxygen main page.
  * Moved doxygen stub out of imu_node.cc
  * Renamed imu_data to imu, and pushed the main data topic into imu/data.
  * Corrected node name in microstrain_3dmgx2.launch
  * Fixed up doxygen.
  * Added -Wl,-rpath,-L/lib to cpp exports as requested by #3479 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/3479>.
  * staging imu_drivers into tick-tock
  * Fixed the calibrate service call.
  * Marked as API cleared.
  * Got imu_node up to date with api changes in diagnostic_updater and self_test. Now sets HardwareID in diagnostics. Extended the ID that is returned by the self-test. Got rid of the thread that was previously needed just for self_test synchronization.
  * should not be blacklisted
  * Finished merging 3dmgx2 and imu_node. Time to deprecate the old packages.


## ros-one-microstrain-3dmgx2-imu 1.5.13-0jammy.20251207.2156

=== debian/changelog ===
ros-one-microstrain-3dmgx2-imu (1.5.13-0jammy.20251207.2156) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Sun, 07 Dec 2025 21:56:09 +0000

## ros-one-microstrain-3dmgx2-imu 1.5.13-0jammy.20260221.0153

=== debian/changelog ===
ros-one-microstrain-3dmgx2-imu (1.5.13-0jammy.20260221.0153) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Sat, 21 Feb 2026 01:53:01 +0000

## ros-one-microstrain-3dmgx2-imu 1.5.13-0noble.20251023.0912

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(microstrain_3dmgx2_imu)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS message_generation roscpp sensor_msgs self_test diagnostic_updater tf std_srvs std_msgs)

find_library(LOG4CXX_LIBRARY log4cxx)
if(NOT LOG4CXX_LIBRARY)
  message(FATAL_ERROR "Couldn't find log4cxx library")
endif()

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/groovy/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
add_service_files(
   DIRECTORY srv
   FILES AddOffset.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
   DEPENDENCIES
   std_msgs
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES 3dmgx2 ${LOG4CXX_LIBRARY}
  CATKIN_DEPENDS message_runtime roscpp sensor_msgs self_test diagnostic_updater tf std_srvs std_msgs
  DEPENDS
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(include ${catkin_INCLUDE_DIRS})

## Declare a cpp library
add_library(3dmgx2 src/3dmgx2.cc)

## Declare a cpp executable
add_executable(imu_node src/imu_node.cc)
target_link_libraries(imu_node 3dmgx2 ${catkin_LIBRARIES})
add_dependencies(imu_node microstrain_3dmgx2_imu_gencpp)

# Utility to recover ID from IMU
add_executable(get_id src/get_id.cpp)
target_link_libraries(get_id 3dmgx2 ${catkin_LIBRARIES} ${LOG4CXX_LIBRARY})

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(microstrain_node microstrain_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(microstrain_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/groovy/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
install(TARGETS 3dmgx2 imu_node get_id
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h"
   PATTERN ".svn" EXCLUDE
)

## Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES
   COPYING.lib
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_microstrain.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-one-microstrain-3dmgx2-imu (1.5.13-0noble.20251023.0912) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 23 Oct 2025 09:12:20 +0000

ros-one-microstrain-3dmgx2-imu (1.5.13-0noble) noble; urgency=high

  * Merge pull request #11 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/11> from scpeters/fix_melodic_build
    Fix melodic build (backwards compatible alternative to #10 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/10>)
  * from C++11, constexpr specifier is requred for double
  * Contributors: Kei Okada, Tony Baltovski

 -- Chad Rockey <chadrockey@gmail.com>  Tue, 02 Jul 2019 00:00:00 -0000

ros-one-microstrain-3dmgx2-imu (1.5.12-0noble) noble; urgency=high

  * Added dependency on log4cxx.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 15 Jan 2014 00:00:00 -0000

ros-one-microstrain-3dmgx2-imu (1.5.10-0noble) noble; urgency=high

  * Reduced console spam when shutting down, extended time to wait for ros::isShuttingDown()

 -- Chad Rockey <chadrockey@gmail.com>  Tue, 23 Jul 2013 00:00:00 -0000

ros-one-microstrain-3dmgx2-imu (1.5.9-0noble) noble; urgency=high

  * Added depdency on _gencpp for service.

 -- Chad Rockey <chadrockey@gmail.com>  Tue, 16 Apr 2013 14:03:00 -0000

ros-one-microstrain-3dmgx2-imu (1.5.8-0noble) noble; urgency=high

  * Forgot srv directory in CMakeLists.txt

 -- Chad Rockey <chadrockey@gmail.com>  Tue, 16 Apr 2013 11:40:00 -0000

ros-one-microstrain-3dmgx2-imu (1.5.7-0noble) noble; urgency=high

  * Accidentally copied message_generation instead of message_runtime

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 04 Apr 2013 18:02:00 -0000

ros-one-microstrain-3dmgx2-imu (1.5.6-0noble) noble; urgency=high

  * Adding std_msgs to depends.

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 04 Apr 2013 17:17:00 -0000

ros-one-microstrain-3dmgx2-imu (1.5.5-0noble) noble; urgency=high

  * Fixed message_generation.  Standardized CMakeLists.txt

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 04 Apr 2013 16:33:00 -0000

ros-one-microstrain-3dmgx2-imu (1.5.4-0noble) noble; urgency=high

  * Fixed install targets.
  * Update package.xml

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 03 Apr 2013 00:00:00 -0000

ros-one-microstrain-3dmgx2-imu (1.5.3-0noble) noble; urgency=high

  * Added install rule for other files.
  * Added message if log4xx not found
  * Updated version to 1.5.2
  * Catkinized microstrain driver.
  * Updated initTime() to be called before calibrate.
  * Fix for calibration error on some devices.
  * oneiric fix
  * Updated to republish calibration status if a new calibration fails.
  * Ran tf bullet types migration script.
  * applying patch provided by RobZ
  * adding support for the 3DM-GX3 protocol
  * Now opens IMU with NOCTTY to avoid getting signaled if the serial port dies. Moved O_NONBLOCK to the correct position in the open call, could have caused problems when accessed by multiple programs otherwise (one of which wasn't locking).
  * Fixed spacing in quiet mode for IMU get_id utility. #4287 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/4287>
  * Quiet mode for get_id utility. #4287 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/4287>
  * Spelling for IMU get ID function. #4287 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/4287>
  * IMU utility to get device ID. #4287 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/4287>
  * Added Ubuntu platform tags to manifest
  * Fixed linker export in manifest.
  * add option to assume calibrated status on startup, to allow no-calibration
  * make calibration routine check for drift after it finished
  * remove deprecated subscriptions
  * Changed frameid frame_id. Orientation is now from the world frame to the imu frame. A 180 degree rotation around the y axis has been added so that the world frame z vector points up.
  * Tweaked error messages.
  * Marking imu_drivers as doc reviewed.
  * Added 'this is unstable' notices to the doxygen.
  * Took out call to diagnostics update when we are in error. The error broadcasts will take care of publishing the diagnostics in that case.
  * Made a few error messages more useful if you are not connected to an IMU or if there is a communication glitch.
  * Reworked error reporting. Added locking of the port. Made IO non-blocking to avoid race conditions between multiple reading processes. Closes tickets #1442 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/1442> #3188 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/3188> #2342 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/2342> #3356 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/3356> #3508 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/3508> #3507 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/3507>.
  * Switched imu_node.cc back to BSD only as it is less restrictive than LGPL.
  * Updated all licences to LGPL.
  * Updated stack documentation and license.
  * Tweaked doxygen main page.
  * Moved doxygen stub out of imu_node.cc
  * Renamed imu_data to imu, and pushed the main data topic into imu/data.
  * Corrected node name in microstrain_3dmgx2.launch
  * Fixed up doxygen.
  * Added -Wl,-rpath,-L/lib to cpp exports as requested by #3479 <https://github.com/ros-drivers/microstrain_3dmgx2_imu/issues/3479>.
  * staging imu_drivers into tick-tock
  * Fixed the calibrate service call.
  * Marked as API cleared.
  * Got imu_node up to date with api changes in diagnostic_updater and self_test. Now sets HardwareID in diagnostics. Extended the ID that is returned by the self-test. Got rid of the thread that was previously needed just for self_test synchronization.
  * should not be blacklisted
  * Finished merging 3dmgx2 and imu_node. Time to deprecate the old packages.


=== debian/control ===
Source: ros-one-microstrain-3dmgx2-imu
Section: misc
Priority: optional
Maintainer: Chad Rockey <chadrockey@gmail.com>
Build-Depends: debhelper (>= 9.0.0), liblog4cxx-dev, ros-one-catkin, ros-one-diagnostic-updater, ros-one-message-generation, ros-one-roscpp, ros-one-self-test, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf
Homepage: http://www.ros.org/wiki/microstrain_3dmgx2_imu
Standards-Version: 3.9.2

Package: ros-one-microstrain-3dmgx2-imu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblog4cxx-dev, ros-one-diagnostic-updater, ros-one-message-runtime, ros-one-roscpp, ros-one-self-test, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf
Description: A driver for IMUs compatible the microstrain 3DM-GX2 and 3DM-GX3 protocol.
 Includes a heavily modified standalone driver pulled from the player distribution, and a ROS node.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-microstrain-3dmgx2-imu//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-microstrain-3dmgx2-imu 1.5.13-0noble.20251208.0854

=== debian/changelog ===
ros-one-microstrain-3dmgx2-imu (1.5.13-0noble.20251208.0854) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Mon, 08 Dec 2025 08:54:46 +0000

## ros-one-microstrain-3dmgx2-imu 1.5.13-0noble.20260221.2123

=== debian/changelog ===
ros-one-microstrain-3dmgx2-imu (1.5.13-0noble.20260221.2123) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Sat, 21 Feb 2026 21:23:44 +0000
